[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#266600: kopete: many things include irc.protocol including konversation and kvirc3



package kopete
tags 266600 + patch
thanks

Unless upstream or someone else has a better solution (which would be great), 
I think the attached patch (which manages irc.protocol with 
update-alternatives) should be applied to kdenetwork.

I have done a similar thing with my latest konversation snapshot at 
http://debian.houseofnate.net/, and I can confirm that both packages now 
install without conflicts.

Cheers,
nate

-- 
Nathaniel W. Turner
http://houseofnate.net/
diff -u -N -r ../debian.orig/changelog debian/changelog
--- ../debian.orig/changelog	2004-08-26 06:37:30.000000000 -0400
+++ debian/changelog	2004-08-26 07:18:20.000000000 -0400
@@ -1,3 +1,10 @@
+kdenetwork (4:3.3.0-1.1) unstable; urgency=low
+
+  * Manage kopete's /usr/share/services/irc.protocol with update-alternatives
+    (Closes: #266600)
+
+ -- Nathaniel W. Turner <nate@houseofnate.net>  Thu, 26 Aug 2004 07:15:41 -0400
+
 kdenetwork (4:3.3.0-1) unstable; urgency=high
 
   * New upstream release.
diff -u -N -r ../debian.orig/kopete.install debian/kopete.install
--- ../debian.orig/kopete.install	2004-08-26 06:37:30.000000000 -0400
+++ debian/kopete.install	2004-08-26 06:47:12.000000000 -0400
@@ -848,7 +848,7 @@
 debian/tmp/usr/share/mimelnk/application/x-kopete-emoticons.desktop
 debian/tmp/usr/share/services/aim.protocol
 debian/tmp/usr/share/services/chatwindow.desktop
-debian/tmp/usr/share/services/irc.protocol
+debian/tmp/usr/share/services/irc.protocol usr/share/apps/kopete/
 debian/tmp/usr/share/services/kconfiguredialog/kopete_alias_config.desktop
 debian/tmp/usr/share/services/kconfiguredialog/kopete_autoreplace_config.desktop
 debian/tmp/usr/share/services/kconfiguredialog/kopete_cryptography_config.desktop
diff -u -N -r ../debian.orig/kopete.postinst debian/kopete.postinst
--- ../debian.orig/kopete.postinst	1969-12-31 19:00:00.000000000 -0500
+++ debian/kopete.postinst	2004-08-26 07:12:44.000000000 -0400
@@ -0,0 +1,42 @@
+#! /bin/sh
+# postinst script for kopete
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+case "$1" in
+    configure)
+        update-alternatives --quiet --install \
+                /usr/share/services/irc.protocol irc.protocol \
+                /usr/share/apps/kopete/irc.protocol 40
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff -u -N -r ../debian.orig/kopete.prerm debian/kopete.prerm
--- ../debian.orig/kopete.prerm	1969-12-31 19:00:00.000000000 -0500
+++ debian/kopete.prerm	2004-08-26 07:04:32.000000000 -0400
@@ -0,0 +1,36 @@
+#! /bin/sh
+# prerm script for kopete
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/share/doc/packaging-manual/
+
+case "$1" in
+    remove|upgrade|deconfigure)
+        update-alternatives --quiet --remove irc.protocol \
+                /usr/share/apps/kopete/irc.protocol
+        ;;
+    failed-upgrade)
+        ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Attachment: pgpC_PF34XfHY.pgp
Description: signature


Reply to: